Bug 741331 - turn down/off metric collections across the board
turn down/off metric collections across the board
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server, Plugins (Show other bugs)
4.1
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon30-bugs jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-09-26 11:35 EDT by John Mazzitelli
Modified: 2012-03-13 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spreadsheet of metric defaults (75.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-11-02 16:01 EDT, John Mazzitelli
no flags Details
spreadsheet of metric defaults (79.90 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-11-02 16:37 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2011-09-26 11:35:25 EDT
Many of the metrics we collect are not that useful in everyday usage. they are more likely only interesting to certain people at certain times. To avoid clobbering our metric subsystem/backend with tons of metrics most people don't care about, we need to turn off many metrics and increase the default metric collection intervals.
Comment 1 John Mazzitelli 2011-09-26 12:05:44 EDT
MetricsMetadataParser.parseMetricsMetadata() determines the hardcoded collection interval if not specified in the <metric> XML descriptor.

Based on the kind of metric (dynamic, trait, calltime), whether it is a "summary" metric or a "detail" metric, and based on if it is a metric for a platform, server or service resource, we determine a default collection interval. I am going to increase those defaults. Here is the current defaults, along with my proposed increases. The intervals listed below are in minutes:

                     DEFAULTS
Metric Type        Current, New
=================================================
NUMERIC METRICS:
  SUMMARY:
    Platform:      1       10
    Server:        5       20
    Service:      10       30

  DETAIL: (these are just doubled from above)
    Platform:      2       20
    Server:       10       40
    Service:      20       60

TRAITS:
  SUMMARY:        10       30
  DETAIL:         30       60

CALLTIME:          1       10

ANY OTHER METRIC: 10       30
Comment 2 John Mazzitelli 2011-09-27 15:14:55 EDT
One issue dealing with upgrades. If you already have a plugin installed, and you change the default collection interval in the <metric> definition, it won't update in the DB - and this is on purpose. See:

org.rhq.enterprise.server.resource.metadata.MeasurementMetadataManagerBean.updateMetadata(ResourceType, ResourceType)

specifically the line:

  existingDefinition.update(newDefinition, false);

That second parameter, "false", is the key here. From javadoc of that update method's alsoUpdateInterval parameter:

     * @param alsoUpdateInterval should the default interval also be updated?

which is used like this:

        if (alsoUpdateInterval) {
            defaultInterval = newDefinition.getDefaultInterval();
        }

So in this part of the code, when we update metric definitions, we do not update the interval. Back to that MeasurementMetadataManagerBean.updateMetadata method, after the call to existingDefinition.update, you'll see the comment:

   // we normally do not want to touch interval in case a user changed it,
   // but we cannot allow too-short of an interval, so override it if necessary

So we just make sure any current interval is greater than 30 seconds, but other than that, we don't touch the metric definition (which is the metric template).

We are going to need to handle collection interval updates via some other mechanism to support existing deployments during RHQ upgrade time.
Comment 3 John Mazzitelli 2011-10-25 17:06:13 EDT
this is currently in feature/metric-tweak branch.
Comment 4 John Mazzitelli 2011-11-01 12:20:33 EDT
currently, here's the metrics that are on by default (in the branch as of right now)

jboss-as plugin:
   JBossAS Server "JVM Free Memory"

jboss-as-5 plugin:
   JBossAS Server "JVM Free Memory"

platform plugin:
   Platform "Free Memory"
   Platform "Used Memory"
   Platform "Free Swap Space"
   Platform "Used Swap Space"
   Platform "System Load"
   Platform "User Load"
   Platform "Hostname" trait
   Platform "OS Name" trait
   Platform "OS Version" trait
   Platform "Architecture" trait
   Linux Platform "Distribution Name" trait
   Linux Platform "Distribution Version" trait
   CPU "Vendor" trait
   CPU "CPU Model" trait
   CPU "CPU Speed" trait
   CPU "Cache Size" trait
   Network Adapter "Inet4Address" trait
Comment 5 John Mazzitelli 2011-11-01 14:55:05 EDT
git commit:
        master: d169c246b5e5480381884aa9bdbc69b2e19963e7
release_jon3.x: 2279e1e27e1474b90958eea5afc08cb383eb9e11
Comment 6 John Mazzitelli 2011-11-01 16:47:54 EDT
After some feedback, here's what we will change the default intervals to:

                     DEFAULTS
Metric Type        Current, New
=================================================
NUMERIC METRICS:
  SUMMARY:
    Platform:      1       10
    Server:        5       10
    Service:      10       20
  DETAIL:
    Platform:      2       20, but disabled initially
    Server:       10       20, but disabled initially
    Service:      20       40, but disabled initially

TRAITS:
  SUMMARY:        10       every 24hrs
  DETAIL:         30       every 24hrs

CALLTIME:          1       10

ANY OTHER METRIC: 10       30 [just being complete, nothing today matches this]
Comment 7 John Mazzitelli 2011-11-02 16:01:34 EDT
Created attachment 531435 [details]
spreadsheet of metric defaults

attached is a LibreOffice spreadsheet of metric defaults. I queried the database after running my local RHQ build. There are five sheets:

rhq-all - all metrics from most of the RHQ plugins. Shows which metrics are enabled, which are summary vs. detail and their default intervals.

jon-all - same as rhq-all, except only those plugins that ship with JON are included

rhq-summary - gives a count of the metrics on by default (which is typically only the summary metrics) for all resource types and their average interval

jon-summary - same as rhq-summary, except only those plugins that ship with JON are included

jon-2.4.1-summary - this is the same as jon-summary but unlike the other four sheets, this has data with the OLD settings from a JON 2.4.1 install (that is, the settings before the fix for this bugzilla issue).

In short:

RHQ has 696 enabled metrics out of box, out of a total of 2555 (27%).
JON has 579 enabled metrics out of box, out of a total of 1856 (31%).

Each RHQ resource type has, on average, 4 enabled metrics with average interval of 7 hours. This tells me most of the enabled metrics are traits (whose default intervals are 24 hours).

Each JON resource type has, on average, 4 enabled metrics also with average interval of almost 8 hours. This again tells me most of the enabled metrics are traits.

---COMPARE WITH JON 2.4.1---

In a JON 2.4.1 install WHICH INCLUDED the Teiid, ESB, ESB5 and HornetQ plugins, there was 887 enabled metrics with an average of 6 enabled metrics per resource type (who had an average of 11 minutes interval).

Without the additional Teiid, ESB, ESB4, ModeShape and HornetQ plugins, there was 775 enabled metrics, with an average of 6 enabled metrics per resource type (who had an average of 11 minutes interval).
Comment 8 John Mazzitelli 2011-11-02 16:09:43 EDT
I pushed out the change for the latest default intervals (e.g. summary metrics of 10/10/20).

git commit:
  master: 6f20b8c
  release_jon3.x: 727d01b
Comment 9 John Mazzitelli 2011-11-02 16:19:43 EDT
> "This tells me most of the enabled metrics are traits (whose default
intervals are 24 hours)."

I would like to correct that - there are 251 traits in RHQ - about 200 of them are enabled by default. There are 224 traits in JON - about 175 of them are enable by default.
Comment 10 John Mazzitelli 2011-11-02 16:37:20 EDT
Created attachment 531442 [details]
spreadsheet of metric defaults

I uploaded a new spreadsheet with two more sheets - just like the rhq and jon summary sheets, except I filtered out all traits.

The numbers are:

RHQ: total 493 metrics, with each resource type having an average of 3 and an average of 19 minutes interval

JON: total 398 metrics, with each resource type having an average of 3 and an average of 19 minutes interval
Comment 11 John Mazzitelli 2011-11-02 17:01:58 EDT
From a JON 2.4.1 install:

There are a total of 662 NON-TRAIT metrics with a 614229 average interval (roughly 10 minutes).

There are an average of 5.2 non-trait metrics per resource type.
Comment 12 Charles Crouch 2011-11-02 17:04:46 EDT
Services by number of summary metrics (non-traits)

four summary metrics:
Apache Virtual Host
Hibernate Entity
Hibernate Statistics
Entity EJB [as4]
Stateful Session EJB
VM Memory System [all plugins]
EJB2 Stateless Session Bean
EJB2 Stateless Session Bean (Embedded)
Tx Interceptor [JBossCache3]
HTTPService
File System [Platforms]
Network Adapter [Platforms]
Database [Postgres]
Table [Postgres]
Tomcat Cache



Five summary metrics:
Datasource
EJB3 Entity Tree Cache Interceptor [as4]
EJB2 Entity Bean
EJB2 Entity Bean (Embedded)
EJB2 Stateful Session Bean
EJB2 Stateful Session Bean (Embedded)



Six summary metrics:
JMQ JMS Topic  [as4]
Interceptor [JBossCache3]
Process [Platforms]
Comment 13 John Mazzitelli 2011-11-02 17:17:18 EDT
executing this query:

  select rt.plugin as PLUGIN,
         rt.name as RESOURCE_TYPE_NAME,
         rt.category as CATEGORY,
         count(md.display_type)
    from rhq_measurement_def md
    join rhq_resource_type rt on md.resource_type_id=rt.id
   where rt.plugin != 'pattern-generator'
     and rt.plugin != 'PerfTest'
     and (md.display_type = 0 or md.default_on = true)
     and md.data_type != 1
     and rt.category = 'SERVICE'
group by rt.plugin, rt.name, rt.category
order by rt.plugin, rt.name, rt.category

and we get the list of services and their counts of non-trait summary metrics. those with 4 or more are:

Apache	Apache Virtual Host	4
Hibernate	Hibernate Entity	4
Hibernate	Hibernate Statistics	4
IIS	VHost	4
JBossAS	Entity EJB	4
JBossAS	Stateful Session EJB	4
JBossAS	VM Memory System	4
JBossAS5	EJB2 Stateless Session Bean	4
JBossAS5	EJB2 Stateless Session Bean (Embedded)	4
JBossAS5	VM Memory System	4
jboss-as-7	VM Memory System	4
JBossCache3	Tx Interceptor	4
JMX	VM Memory System	4
NetworkServices	HTTPService	4
Platforms	File System	4
Platforms	Network Adapter	4
Postgres	Database	4
Postgres	Table	4
RHQAgent	VM Memory System	4
RHQServer	RHQ Server Group Definition / DynaGroups Subsystem	4
RHQServer	RHQ Server Remote API Subsystem	4
Tomcat	Tomcat Cache	4
Tomcat	VM Memory System	4
JBossAS	Datasource	5
JBossAS	EJB3 Entity Tree Cache Interceptor	5
JBossAS5	EJB2 Entity Bean	5
JBossAS5	EJB2 Entity Bean (Embedded)	5
JBossAS5	EJB2 Stateful Session Bean	5
JBossAS5	EJB2 Stateful Session Bean (Embedded)	5
RHQAgent	Measurement Subsystem	5
Virtualization	Virtual Block Device	5
JBossAS	JMQ JMS Topic	6
JBossCache3	Interceptor	6
MySql	Table	6
Platforms	Process	6
RHQServer	RHQ Server Communications Subsystem	6
Virtualization	Virtual Network Interface	6
RHQServer	RHQ Server Measurement Subsystem	18
RHQServer	RHQ Server Alerts Engine Subsystem	20
Comment 14 John Mazzitelli 2011-11-03 13:47:55 EDT
I'll be checking in the changes that reduce all services to have no more than 3 summary/enabled metrics.

Once those changes are in, the following summary/enabled metrics per resource type are as follows (note this does not filter out resource categories).  These include all platform/server/services however, it is only those types that have 4 or more summary/enabled metrics - all others not listed have 3 or less:

Postgres  Postgres Server  SERVER     7
Platforms AIX              PLATFORM   6
Platforms FreeBSD          PLATFORM   6
Platforms HP-UX            PLATFORM   6
Platforms Linux            PLATFORM   6
Platforms Mac OS X         PLATFORM   6
Platforms Solaris          PLATFORM   6
Platforms Windows          PLATFORM   6
Oracle    Oracle Server    SERVER     5
RHQAgent  RHQ Agent        SERVER     5
JBossAS   JBossAS Server   SERVER     4
JBossAS5  JBossAS Server   SERVER     4

---RHQ plugins, not in JON---

MySql     MySql Server     SERVER     14
OpenSSH   SSHD             SERVER     8
Byteman   Byteman Agent    SERVER     4
Samba     Samba Server     SERVER     4
Comment 15 John Mazzitelli 2011-11-03 16:09:49 EDT
git commit to master: 6e953998dd354da8ae726bf7f9bcd8772d5c7842
git commit to release_jon3.x: e56688e6f0dc06b17298bd3168b12120f7778449
Comment 16 John Mazzitelli 2011-11-03 16:20:56 EDT
I don't know what I was seeing before (perhaps I didn't have all of my agent code rebuilt?) but now I am no longer seeing the traits/metric data come in quickly upon initial import. Ian S. says this has always behaved like this, but I know I just saw my traits come up (and the default interval is now 24 hours, so I know the time hasn't elapsed yet, I just started fresh). So I don't know why sometimes I saw traits/metrics come in fast initially but now I do not see it. I think we'll need to look at the agent's measurement manager to find out why sometimes (all the time?) it doesn't collect initial metric values at startup.
Comment 17 John Mazzitelli 2011-11-03 20:03:43 EDT
(In reply to comment #16)
> I don't know what I was seeing before (perhaps I didn't have all of my agent
> code rebuilt?) but now I am no longer seeing the traits/metric data come in
> quickly upon initial import. Ian S. says this has always behaved like this, but
> I know I just saw my traits come up (and the default interval is now 24 hours,
> so I know the time hasn't elapsed yet, I just started fresh). So I don't know
> why sometimes I saw traits/metrics come in fast initially but now I do not see
> it. I think we'll need to look at the agent's measurement manager to find out
> why sometimes (all the time?) it doesn't collect initial metric values at
> startup.

I wrote this up as a separate BZ - bug #751231
Comment 18 John Mazzitelli 2011-11-04 19:50:57 EDT
we are being forced to revert the jmx plugin settings - see bug #747925 for more info. When that bug is fixed, it will put the jmx settings back the way we really want it.
Comment 19 Mike Foley 2011-11-08 14:23:41 EST
re-executed the sql statement documented above ... and documenting the output.




[root@foleymonsterbox1 ~]# cat export.tsv
"PLUGIN"	"RESOURCE_TYPE_NAME"	"CATEGORY"	"COUNT(MD.DISPLAY_TYPE)"
"Apache"	"Apache Virtual Host"	"SERVICE"	2
"Hibernate"	"Hibernate Entity"	"SERVICE"	1
"Hibernate"	"Hibernate Statistics"	"SERVICE"	2
"IIS"	"VHost"	"SERVICE"	3
"JBossAS"	"ConnectionFactory"	"SERVICE"	2
"JBossAS"	"Connector"	"SERVICE"	2
"JBossAS"	"Datasource"	"SERVICE"	3
"JBossAS"	"EJB3 Entity Tree Cache"	"SERVICE"	2
"JBossAS"	"EJB3 Entity Tree Cache Interceptor"	"SERVICE"	2
"JBossAS"	"EJB3 Session Bean"	"SERVICE"	2
"JBossAS"	"Embedded Web Application (WAR)"	"SERVICE"	2
"JBossAS"	"Entity EJB"	"SERVICE"	3
"JBossAS"	"Garbage Collector"	"SERVICE"	2
"JBossAS"	"JBM JMS Queue"	"SERVICE"	1
"JBossAS"	"JBM JMS Topic"	"SERVICE"	2
"JBossAS"	"JMQ JMS Queue"	"SERVICE"	1
"JBossAS"	"JMQ JMS Topic"	"SERVICE"	2
"JBossAS"	"Memory Pool"	"SERVICE"	2
"JBossAS"	"Message Driven EJB"	"SERVICE"	3
"JBossAS"	"Operating System"	"SERVICE"	4
"JBossAS"	"Stateful Session EJB"	"SERVICE"	2
"JBossAS"	"Stateless Session EJB"	"SERVICE"	3
"JBossAS"	"Threading"	"SERVICE"	4
"JBossAS"	"VM Class Loading System"	"SERVICE"	2
"JBossAS"	"VM Compilation System"	"SERVICE"	1
"JBossAS"	"VM Memory System"	"SERVICE"	4
"JBossAS"	"Web Application (WAR)"	"SERVICE"	2
"JBossAS5"	"Connector"	"SERVICE"	2
"JBossAS5"	"EJB2 Entity Bean"	"SERVICE"	3
"JBossAS5"	"EJB2 Entity Bean (Embedded)"	"SERVICE"	3
"JBossAS5"	"EJB2 Message-Driven Bean"	"SERVICE"	2
"JBossAS5"	"EJB2 Message-Driven Bean (Embedded)"	"SERVICE"	2
"JBossAS5"	"EJB2 Stateful Session Bean"	"SERVICE"	3
"JBossAS5"	"EJB2 Stateful Session Bean (Embedded)"	"SERVICE"	3
"JBossAS5"	"EJB2 Stateless Session Bean"	"SERVICE"	3
"JBossAS5"	"EJB2 Stateless Session Bean (Embedded)"	"SERVICE"	3
"JBossAS5"	"EJB3 Stateful Session Bean"	"SERVICE"	2
"JBossAS5"	"EJB3 Stateful Session Bean (Embedded)"	"SERVICE"	2
"JBossAS5"	"EJB3 Stateless Session Bean"	"SERVICE"	2
"JBossAS5"	"EJB3 Stateless Session Bean (Embedded)"	"SERVICE"	2
"JBossAS5"	"Embedded Web Application Context"	"SERVICE"	2
"JBossAS5"	"Garbage Collector"	"SERVICE"	2
"JBossAS5"	"Local Tx Datasource"	"SERVICE"	2
"JBossAS5"	"Memory Pool"	"SERVICE"	2
"JBossAS5"	"No Tx ConnectionFactory"	"SERVICE"	2
"JBossAS5"	"No Tx Datasource"	"SERVICE"	2
"JBossAS5"	"Operating System"	"SERVICE"	4
"JBossAS5"	"Queue"	"SERVICE"	2
"JBossAS5"	"Threading"	"SERVICE"	4
"JBossAS5"	"Topic"	"SERVICE"	2
"JBossAS5"	"Tx ConnectionFactory"	"SERVICE"	2
"JBossAS5"	"VM Class Loading System"	"SERVICE"	2
"JBossAS5"	"VM Compilation System"	"SERVICE"	1
"JBossAS5"	"VM Memory System"	"SERVICE"	4
"JBossAS5"	"Web Application Context"	"SERVICE"	2
"JBossAS5"	"XA Datasource"	"SERVICE"	2
"JBossCache"	"JBossCache"	"SERVICE"	3
"JBossCache3"	"Cache"	"SERVICE"	1
"JBossCache3"	"Interceptor"	"SERVICE"	3
"JBossCache3"	"Lock Manager"	"SERVICE"	2
"JBossCache3"	"RPC Manager"	"SERVICE"	2
"JBossCache3"	"Transaction Table"	"SERVICE"	1
"JBossCache3"	"Tx Interceptor"	"SERVICE"	3
"JMX"	"Garbage Collector"	"SERVICE"	2
"JMX"	"Memory Pool"	"SERVICE"	2
"JMX"	"Operating System"	"SERVICE"	4
"JMX"	"Threading"	"SERVICE"	4
"JMX"	"VM Class Loading System"	"SERVICE"	2
"JMX"	"VM Compilation System"	"SERVICE"	1
"JMX"	"VM Memory System"	"SERVICE"	4
"MySql"	"Table"	"SERVICE"	3
"MySql"	"User"	"SERVICE"	2
"NetworkServices"	"HTTPService"	"SERVICE"	2
"NetworkServices"	"PingService"	"SERVICE"	1
"Oracle"	"Oracle Detailed Statistics"	"SERVICE"	3
"Oracle"	"Oracle User"	"SERVICE"	1
"Platforms"	"CPU"	"SERVICE"	3
"Platforms"	"File System"	"SERVICE"	2
"Platforms"	"Network Adapter"	"SERVICE"	2
"Platforms"	"Process"	"SERVICE"	3
"Postgres"	"Database"	"SERVICE"	3
"Postgres"	"Query"	"SERVICE"	1
"Postgres"	"Table"	"SERVICE"	2
"Postgres"	"User"	"SERVICE"	2
"RHQAgent"	"Garbage Collector"	"SERVICE"	2
"RHQAgent"	"Measurement Subsystem"	"SERVICE"	3
"RHQAgent"	"Memory Pool"	"SERVICE"	2
"RHQAgent"	"Operating System"	"SERVICE"	4
"RHQAgent"	"Threading"	"SERVICE"	4
"RHQAgent"	"VM Class Loading System"	"SERVICE"	2
"RHQAgent"	"VM Compilation System"	"SERVICE"	1
"RHQAgent"	"VM Memory System"	"SERVICE"	4
"RHQServer"	"RHQ Server Alerts Engine Subsystem"	"SERVICE"	3
"RHQServer"	"RHQ Server Communications Subsystem"	"SERVICE"	3
"RHQServer"	"RHQ Server Group Definition / DynaGroups Subsystem"	"SERVICE"	1
"RHQServer"	"RHQ Server Measurement Subsystem"	"SERVICE"	3
"RHQServer"	"RHQ Server Remote API Subsystem"	"SERVICE"	3
"Tomcat"	"Garbage Collector"	"SERVICE"	2
"Tomcat"	"Memory Pool"	"SERVICE"	2
"Tomcat"	"Operating System"	"SERVICE"	4
"Tomcat"	"Threading"	"SERVICE"	4
"Tomcat"	"Tomcat Cache"	"SERVICE"	3
"Tomcat"	"Tomcat Connector"	"SERVICE"	2
"Tomcat"	"Tomcat Web Application (WAR)"	"SERVICE"	2
"Tomcat"	"VM Class Loading System"	"SERVICE"	2
"Tomcat"	"VM Compilation System"	"SERVICE"	1
"Tomcat"	"VM Memory System"	"SERVICE"	4
"Twitter"	"TwitterFeed"	"SERVICE"	1
"hudson"	"Hudson Project"	"SERVICE"	2
"jboss-as-7"	"Connector"	"SERVICE"	2
"jboss-as-7"	"DataSource"	"SERVICE"	3
"jboss-as-7"	"Endpoint"	"SERVICE"	3
"jboss-as-7"	"Garbage Collector"	"SERVICE"	2
"jboss-as-7"	"Memory Pool"	"SERVICE"	2
"jboss-as-7"	"Operating System"	"SERVICE"	4
"jboss-as-7"	"Threading"	"SERVICE"	4
"jboss-as-7"	"VM Class Loading System"	"SERVICE"	2
"jboss-as-7"	"VM Compilation System"	"SERVICE"	1
"jboss-as-7"	"VM Memory System"	"SERVICE"	4
"jboss-as-7"	"XADataSource"	"SERVICE"	3
"mod_cluster"	"Load Metric"	"SERVICE"	1
[root@foleymonsterbox1 ~]# cls
bash: cls: command not found...
[root@foleymonsterbox1 ~]# clear

[root@foleymonsterbox1 ~]# cat export.tsv
"PLUGIN"	"RESOURCE_TYPE_NAME"	"CATEGORY"	"COUNT(MD.DISPLAY_TYPE)"
"Apache"	"Apache Virtual Host"	"SERVICE"	2
"Hibernate"	"Hibernate Entity"	"SERVICE"	1
"Hibernate"	"Hibernate Statistics"	"SERVICE"	2
"IIS"	"VHost"	"SERVICE"	3
"JBossAS"	"ConnectionFactory"	"SERVICE"	2
"JBossAS"	"Connector"	"SERVICE"	2
"JBossAS"	"Datasource"	"SERVICE"	3
"JBossAS"	"EJB3 Entity Tree Cache"	"SERVICE"	2
"JBossAS"	"EJB3 Entity Tree Cache Interceptor"	"SERVICE"	2
"JBossAS"	"EJB3 Session Bean"	"SERVICE"	2
"JBossAS"	"Embedded Web Application (WAR)"	"SERVICE"	2
"JBossAS"	"Entity EJB"	"SERVICE"	3
"JBossAS"	"Garbage Collector"	"SERVICE"	2
"JBossAS"	"JBM JMS Queue"	"SERVICE"	1
"JBossAS"	"JBM JMS Topic"	"SERVICE"	2
"JBossAS"	"JMQ JMS Queue"	"SERVICE"	1
"JBossAS"	"JMQ JMS Topic"	"SERVICE"	2
"JBossAS"	"Memory Pool"	"SERVICE"	2
"JBossAS"	"Message Driven EJB"	"SERVICE"	3
"JBossAS"	"Operating System"	"SERVICE"	4
"JBossAS"	"Stateful Session EJB"	"SERVICE"	2
"JBossAS"	"Stateless Session EJB"	"SERVICE"	3
"JBossAS"	"Threading"	"SERVICE"	4
"JBossAS"	"VM Class Loading System"	"SERVICE"	2
"JBossAS"	"VM Compilation System"	"SERVICE"	1
"JBossAS"	"VM Memory System"	"SERVICE"	4
"JBossAS"	"Web Application (WAR)"	"SERVICE"	2
"JBossAS5"	"Connector"	"SERVICE"	2
"JBossAS5"	"EJB2 Entity Bean"	"SERVICE"	3
"JBossAS5"	"EJB2 Entity Bean (Embedded)"	"SERVICE"	3
"JBossAS5"	"EJB2 Message-Driven Bean"	"SERVICE"	2
"JBossAS5"	"EJB2 Message-Driven Bean (Embedded)"	"SERVICE"	2
"JBossAS5"	"EJB2 Stateful Session Bean"	"SERVICE"	3
"JBossAS5"	"EJB2 Stateful Session Bean (Embedded)"	"SERVICE"	3
"JBossAS5"	"EJB2 Stateless Session Bean"	"SERVICE"	3
"JBossAS5"	"EJB2 Stateless Session Bean (Embedded)"	"SERVICE"	3
"JBossAS5"	"EJB3 Stateful Session Bean"	"SERVICE"	2
"JBossAS5"	"EJB3 Stateful Session Bean (Embedded)"	"SERVICE"	2
"JBossAS5"	"EJB3 Stateless Session Bean"	"SERVICE"	2
"JBossAS5"	"EJB3 Stateless Session Bean (Embedded)"	"SERVICE"	2
"JBossAS5"	"Embedded Web Application Context"	"SERVICE"	2
"JBossAS5"	"Garbage Collector"	"SERVICE"	2
"JBossAS5"	"Local Tx Datasource"	"SERVICE"	2
"JBossAS5"	"Memory Pool"	"SERVICE"	2
"JBossAS5"	"No Tx ConnectionFactory"	"SERVICE"	2
"JBossAS5"	"No Tx Datasource"	"SERVICE"	2
"JBossAS5"	"Operating System"	"SERVICE"	4
"JBossAS5"	"Queue"	"SERVICE"	2
"JBossAS5"	"Threading"	"SERVICE"	4
"JBossAS5"	"Topic"	"SERVICE"	2
"JBossAS5"	"Tx ConnectionFactory"	"SERVICE"	2
"JBossAS5"	"VM Class Loading System"	"SERVICE"	2
"JBossAS5"	"VM Compilation System"	"SERVICE"	1
"JBossAS5"	"VM Memory System"	"SERVICE"	4
"JBossAS5"	"Web Application Context"	"SERVICE"	2
"JBossAS5"	"XA Datasource"	"SERVICE"	2
"JBossCache"	"JBossCache"	"SERVICE"	3
"JBossCache3"	"Cache"	"SERVICE"	1
"JBossCache3"	"Interceptor"	"SERVICE"	3
"JBossCache3"	"Lock Manager"	"SERVICE"	2
"JBossCache3"	"RPC Manager"	"SERVICE"	2
"JBossCache3"	"Transaction Table"	"SERVICE"	1
"JBossCache3"	"Tx Interceptor"	"SERVICE"	3
"JMX"	"Garbage Collector"	"SERVICE"	2
"JMX"	"Memory Pool"	"SERVICE"	2
"JMX"	"Operating System"	"SERVICE"	4
"JMX"	"Threading"	"SERVICE"	4
"JMX"	"VM Class Loading System"	"SERVICE"	2
"JMX"	"VM Compilation System"	"SERVICE"	1
"JMX"	"VM Memory System"	"SERVICE"	4
"MySql"	"Table"	"SERVICE"	3
"MySql"	"User"	"SERVICE"	2
"NetworkServices"	"HTTPService"	"SERVICE"	2
"NetworkServices"	"PingService"	"SERVICE"	1
"Oracle"	"Oracle Detailed Statistics"	"SERVICE"	3
"Oracle"	"Oracle User"	"SERVICE"	1
"Platforms"	"CPU"	"SERVICE"	3
"Platforms"	"File System"	"SERVICE"	2
"Platforms"	"Network Adapter"	"SERVICE"	2
"Platforms"	"Process"	"SERVICE"	3
"Postgres"	"Database"	"SERVICE"	3
"Postgres"	"Query"	"SERVICE"	1
"Postgres"	"Table"	"SERVICE"	2
"Postgres"	"User"	"SERVICE"	2
"RHQAgent"	"Garbage Collector"	"SERVICE"	2
"RHQAgent"	"Measurement Subsystem"	"SERVICE"	3
"RHQAgent"	"Memory Pool"	"SERVICE"	2
"RHQAgent"	"Operating System"	"SERVICE"	4
"RHQAgent"	"Threading"	"SERVICE"	4
"RHQAgent"	"VM Class Loading System"	"SERVICE"	2
"RHQAgent"	"VM Compilation System"	"SERVICE"	1
"RHQAgent"	"VM Memory System"	"SERVICE"	4
"RHQServer"	"RHQ Server Alerts Engine Subsystem"	"SERVICE"	3
"RHQServer"	"RHQ Server Communications Subsystem"	"SERVICE"	3
"RHQServer"	"RHQ Server Group Definition / DynaGroups Subsystem"	"SERVICE"	1
"RHQServer"	"RHQ Server Measurement Subsystem"	"SERVICE"	3
"RHQServer"	"RHQ Server Remote API Subsystem"	"SERVICE"	3
"Tomcat"	"Garbage Collector"	"SERVICE"	2
"Tomcat"	"Memory Pool"	"SERVICE"	2
"Tomcat"	"Operating System"	"SERVICE"	4
"Tomcat"	"Threading"	"SERVICE"	4
"Tomcat"	"Tomcat Cache"	"SERVICE"	3
"Tomcat"	"Tomcat Connector"	"SERVICE"	2
"Tomcat"	"Tomcat Web Application (WAR)"	"SERVICE"	2
"Tomcat"	"VM Class Loading System"	"SERVICE"	2
"Tomcat"	"VM Compilation System"	"SERVICE"	1
"Tomcat"	"VM Memory System"	"SERVICE"	4
"Twitter"	"TwitterFeed"	"SERVICE"	1
"hudson"	"Hudson Project"	"SERVICE"	2
"jboss-as-7"	"Connector"	"SERVICE"	2
"jboss-as-7"	"DataSource"	"SERVICE"	3
"jboss-as-7"	"Endpoint"	"SERVICE"	3
"jboss-as-7"	"Garbage Collector"	"SERVICE"	2
"jboss-as-7"	"Memory Pool"	"SERVICE"	2
"jboss-as-7"	"Operating System"	"SERVICE"	4
"jboss-as-7"	"Threading"	"SERVICE"	4
"jboss-as-7"	"VM Class Loading System"	"SERVICE"	2
"jboss-as-7"	"VM Compilation System"	"SERVICE"	1
"jboss-as-7"	"VM Memory System"	"SERVICE"	4
"jboss-as-7"	"XADataSource"	"SERVICE"	3
"mod_cluster"	"Load Metric"	"SERVICE"	1
[root@foleymonsterbox1 ~]# 



spotcheck:  platforms = 10
Comment 20 Mike Foley 2012-02-07 14:26:18 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE
Comment 21 Mike Foley 2012-02-07 14:31:58 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 22 Charles Crouch 2012-03-13 12:49:34 EDT
(11:41:17 AM) mazz: (12:31:10 PM) ccrouch: are we sure we covered all the possible plugins this could impact?
(11:41:27 AM) mazz: the difference is the kind of plugin extension used
(11:41:57 AM) mazz: the problems occur when using "embedded" extension, rather than "injection" - 
(11:41:58 AM) mazz: http://rhq-project.org/display/RHQ/AMPS-Plugin+Extensions#AMPS-PluginExtensions-Embedded
(11:42:06 AM) mazz: http://rhq-project.org/display/RHQ/AMPS-Plugin+Extensions#AMPS-PluginExtensions-Injection
(11:42:29 AM) mazz: in our plugins, the only time we use embedded is with the jmx plugin (and that's where the problem is)
(11:42:40 AM) mazz: that is, the problem is when using embedded extension
(11:42:57 AM) mazz: (sourcePlugin/sourceType attribute on a resource type in the descriptor .xml)

Note You need to log in before you can comment on or make changes to this bug.